/* Навигационная панель */
.header {
  box-shadow: 2px 4px 8px rgba(0, 0, 0, 0.1);
  padding: 20px 0;
}

.nav {
  display: flex;
  align-items: center;
  position: relative;
}

.nav__logo {
  margin-right: 40px;
}

.logo {
  width: 152px;
  height: 32px;
}

.nav__btn {
  display: flex;
  align-items: center;
  position: relative;
  background-color: var(--color-green);
  border: 1px solid var(--color-green);
  padding: 8px 19px;
  border-radius: 4px;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  margin-right: 16px;
}

.nav__btn:hover {
  background-color: var(--btn-hover);
  border: 1px solid var(--btn-hover);
}

.nav__btn:active {
  background-color: var(--btn-active);
  border: 1px solid var(--btn-active);
}

.nav__burger,
.nav__btn:after,
.nav__btn:before {
  height: 1px;
  width: 18px;
  position: absolute;
  background: var(--color-w);
}

.nav__burger {
  top: 17px;
  left: 10px;
}

.nav__btn:after,
.nav__btn:before {
  content: "";
  left: 10px;
}

.nav__btn:after {
  bottom: 11px;
}

.nav__btn:before {
  top: 12px;
}

.nav__desc {
  margin-left: 40px;
  color: var(--color-w);
}

.nav__search {
  display: flex;
  align-items: center;
  border: 1px solid var(--color-green);
  border-radius: 4px;
  padding: 5px 8px 5px 10px;
  max-width: 374px;
  width: 100%;
  justify-content: space-between;
  margin-right: 40px;
}

.nav__search-input {
  border: none;
  outline: none;
  width: 100%;
}

.nav__search-btn {
  cursor: pointer;
  color: red;
  height: 24px;
}

.search {
  width: 24px;
  height: 24px;
  transition: all 0.2s ease-in-out;
}

.search:hover {
  fill: var(--btn-hover);
}

.search:active {
  fill: var(--btn-active);
}

.nav__shop {
  display: flex;
  align-items: center;
}

.nav__link {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.nav__link:not(:last-child) {
  margin-right: 24px;
}

.nav__item {
  width: 22px;
  height: 19px;
  transition: all 0.2s ease-in-out;
}

.nav__item:hover {
  fill: var(--btn-hover);
}

.nav__item:active {
  fill: var(--btn-active);
}

.favorites:hover {
  fill: red;
}

.favorites:active {
  fill: #c41212;
}

.nav__item {
}

.nav__subtitle {
  font-size: 12px;
  color: var(--color-gray);
  font-weight: 400;
  line-height: 150%;
  margin-top: 10px;
}

.nav__profile {
  display: flex;
  align-items: center;
  max-width: 176px;
  width: 100%;
  margin-left: auto;
  cursor: pointer;
  transition: all 0.4s ease-in-out;
}

.nav__profile:hover {
  transform: scale(1.2, 1.2);
  background-color: var(--btn-hover);
  border-radius: 5px;
  padding: 5px;
  color: var(--color-w);
  fill: var(--color-w);
}

.nav__avatar {
  width: 40px;
  height: 40px;
  margin-right: 10px;
}

.arrow {
  width: 13px;
  height: 7px;
  margin-left: auto;
}

/* бургер меню */
.menu {
  position: absolute;
  left: -100%;
  transition: all 0.4s ease;
}

.menu.open__menu {
  left: 0;
  min-height: 400px;
  width: 100%;
  background: grey;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 25;
}

.menu__nav {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.nav__burger.rotate {
  opacity: 0;
  transition: 0.5s;
}
.nav__btn.rotate:before {
  transform: rotate(38deg);
  top: 17px;
  transition: 0.4s;
}
.nav__btn.rotate:after {
  transform: rotate(-38deg);
  bottom: 17px;
  transition: 0.4s;
}

.fixed-pade {
  overflow: hidden;
}
